# Class WakeupOnActivation

java.lang.Object
javax.media.j3d.WakeupCondition
javax.media.j3d.WakeupCriterion
javax.media.j3d.WakeupOnActivation

public final class WakeupOnActivation extends WakeupCriterion
Class specifying a wakeup the first time an active Viewplatform's activation volume intersects with this object's scheduling region. This gives the behavior an explicit means of executing code when it is activated.

## Constructor Summary

Constructors
Constructor
Description
`WakeupOnActivation()`
Constructs a new WakeupOnActivation criterion.

## Method Summary

### Methods inherited from class WakeupCriterion

`hasTriggered`

### Methods inherited from class WakeupCondition

`allElements, triggeredElements`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WakeupOnActivation

public WakeupOnActivation()
Constructs a new WakeupOnActivation criterion.